Get a recording
GET
/v1/projects/{projectId}/recordings/{recordingId}curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/recordings/{recordingId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- projectIdstringrequired
- recordingIdstringrequired
Responses
Success
- dataobjectrequired
- idstringrequired
- projectIdstringrequired
- namestringrequired
- tagsarray<string>required
- sourceFormatstring | nullrequired
- sourcestringrequiredAllowed valuesuploadcollectionhub_import
- huggingFaceobject
- statusobjectrequired
- segmentationStateobjectrequired
- privacyStatestring | nullrequiredAllowed valuespendinganonymizedrefused
- privacyRequirementstringAllowed valuesrequirednot_required
- privacyGatestringAllowed valueshumannon_human
- durationNsnumber | nullrequired
- collectorany | nullrequired
- posterUrlstring | nullrequired
- latestReadyProcessingResultIdstring | nullrequired
- processedWithobject | nullrequired
- rigProfileobject | nullrequired
- captureLabelsobject
- rejectedSavedMinutesnumber | nullrequired
- createdAtstringrequired
- updatedAtstringrequired
Response example
{
"data": {
"id": "string",
"projectId": "string",
"name": "string",
"tags": [
"string"
],
"sourceFormat": "string",
"source": "upload",
"huggingFace": {
"type": "hugging_face",
"repoId": "string",
"revision": "string",
"commitSha": "string",
"subPath": "string",
"licence": "string",
"gated": "none",
"sourceFormat": "lerobot-v3",
"progress": {
"filesDone": 0,
"filesTotal": 0,
"bytesDone": 0,
"bytesTotal": 0
},
"failureReason": "HF_REPO_NOT_FOUND"
},
"status": {
"lifecycle": "failed",
"quality": "warn",
"qualityCheckId": "string",
"qualityVerdict": "warning",
"stepId": "string",
"stepWaitReason": "string",
"noProgressSince": "string",
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepAlgorithm": {
"slug": "string",
"title": "string",
"official": false
},
"stepRunId": "string",
"runId": "string",
"stepErrorCode": "string"
},
"runId": "string",
"processingRefused": {
"code": "string"
}
},
"segmentationState": {
"state": "not_segmented",
"episodeCount": 0
},
"privacyState": "pending",
"privacyRequirement": "required",
"privacyGate": "human",
"durationNs": 0,
"collector": null,
"posterUrl": "string",
"latestReadyProcessingResultId": "string",
"processedWith": {
"workflowName": "string",
"revision": 0
},
"rigProfile": {
"name": "string",
"revisionId": "string"
},
"captureLabels": {
"tags": [
"string"
],
"scene": "string",
"taskDescription": "string"
},
"rejectedSavedMinutes": 0,
"createdAt": "string",
"updatedAt": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1